<?php


namespace Okay\Modules\OkayCMS\Redirect\Extenders;


use Okay\Core\EntityFactory;
use Okay\Core\Modules\Extender\ExtensionInterface;
use Okay\Core\Request;
use Okay\Core\Response;
use Okay\Modules\OkayCMS\Redirect\Entities\RedirectsEntity;

class FrontExtender implements ExtensionInterface
{
    
    private $entityFactory;
    private $request;
    
    public function __construct(EntityFactory $entityFactory, Request $request)
    {
        $this->entityFactory = $entityFactory;
        $this->request = $request;
    }

    public function redirect()
    {
        /** @var RedirectsEntity $redirectEntity */
        $redirectEntity = $this->entityFactory->get(RedirectsEntity::class);
        if (($currentUrl = $this->request->getPageUrl()) && ($redirect = $redirectEntity->get((string)$currentUrl))) {
            Response::redirectTo($this->request->getBasePathWithDomain() . $redirect->destination, 301);
        }
    }
}