<?php


namespace Okay\Modules\OkayCMS\Redirect\Init;


use Okay\Core\Modules\AbstractInit;
use Okay\Core\Modules\EntityField;
use Okay\Helpers\MainHelper;
use Okay\Modules\OkayCMS\Redirect\Extenders\FrontExtender;
use Okay\Modules\OkayCMS\Redirect\Entities\RedirectsEntity;

class Init extends AbstractInit
{
    public function install()
    {
        $this->migrateEntityTable(RedirectsEntity::class, [
            (new EntityField('id'))->setTypeInt(11)->setAutoIncrement(),
            (new EntityField('source'))->setTypeVarchar(255)->setIndex(),
            (new EntityField('destination'))->setTypeVarchar(255),
        ]);
    }
    
    public function init()
    {
        $this->registerQueueExtension(
            ['class' => MainHelper::class, 'method' => 'activatePRG'],
            ['class' => FrontExtender::class, 'method' => 'redirect']
        );
    }
}